esp8266 nodmcu v3

Hello i am new to the community recently i purchase esp8266 nodmcu v3. But i cant connect to my Android IDE and its work fine in lua and i dont know anything abut lua.
please i need your help…

What have you tried with the IDE and what errors are you getting?

Presumably if it works with LUA you already have the correct driver for the NodeMCU.

Which version of the IDE are you using and have you added http://arduino.esp8266.com/stable/package_esp8266com_index.json in File, Preferences, Additional Boards Manager URLs: (this adds ESP boards to the IDE for you to select).

Start with maximum upload speed of 115200.

i am using 1.6.7 version and i did used http://arduino.esp8266.com/stable/package_esp8266com_index.json

Arduino: 1.6.7 (Windows 8.1), Board: “NodeMCU 1.0 (ESP-12E Module), 80 MHz, 115200, 4M (3M SPIFFS)”

In file included from \Mac\Home\Desktop\arduino\Blink\sketch_jul05a\sketch_jul05a.ino:10:0:

C:\Program Files\Arduino\libraries\Bridge\src/YunClient.h:24:2: warning: #warning “The use of YunClient is deprecated. Use BridgeClient instead!” [-Wcpp]

#warning “The use of YunClient is deprecated. Use BridgeClient instead!”

^

In file included from \Mac\Home\Desktop\arduino\Blink\sketch_jul05a\sketch_jul05a.ino:11:0:

C:\Program Files\Arduino\libraries\Bridge\src/YunServer.h:24:2: warning: #warning “The use of YunServer is deprecated. Use BridgeServer instead!” [-Wcpp]

#warning “The use of YunServer is deprecated. Use BridgeServer instead!”

^

xtensa-lx106-elf-gcc: error: libraries\Bridge\Bridge.a: No such file or directory

exit status 1
Error compiling.

This report would have more information with
“Show verbose output during compilation”
enabled in File > Preferences.

Use the Blynk standalone sketch and then move on to other things.